build errors on gtkglarea



Hi,

in jhbuild, build of gtkglarea fails.

The primary reason was it's use of AC_PROG_LIBTOOL without running 
libtoolize in autogen.sh

After that, other stuff failed because configure tries creating Makefile's 
in build/ when that dir is not in cvs, and it doesn't seem to be generated 
anywhere either.  (but I don't know how this stuff is supposed to work on 
win32 anyway)

In any case, the above patch fixes both issues and makes gtkglarea behave 
properly on a clean checkout.

I mailed the author more than a week ago about the first issue and didn't 
get a reply.

Shall I commit ?

 -- 

The Dave/Dina Project : future TV today ! - http://davedina.apestaart.org/
<-*- thomas (dot) apestaart (dot) org -*->
My baby she knows
the weight that I'm under
<-*- thomas  (at) apestaart (dot) org -*->
URGent, the best radio on the Internet - 24/7 ! - http://urgent.rug.ac.be/
? autom4te-2.53.cache
? examples/makefile.mingw
? gtkgl/makefile.mingw
Index: ChangeLog
===================================================================
RCS file: /cvs/gnome/gtkglarea/ChangeLog,v
retrieving revision 1.31
diff -u -p -r1.31 ChangeLog
--- ChangeLog	20 Sep 2002 17:33:44 -0000	1.31
+++ ChangeLog	29 Nov 2002 10:32:29 -0000
@@ -1,3 +1,9 @@
+2002-11-29  Thomas Vander Stichele <thomas at apestaart dot org>
+
+        * fix build to run libtoolize since configure.in has AC_PROG_LIBTOOL
+	* comment out all stuff related to build/ because that dir is
+          not in CVS
+
 2002-06-09  Shane Blackett
 
 	* gtkgl/gdkgl-win32.c:
Index: Makefile.am
===================================================================
RCS file: /cvs/gnome/gtkglarea/Makefile.am,v
retrieving revision 1.7
diff -u -p -r1.7 Makefile.am
--- Makefile.am	13 Mar 2002 02:09:05 -0000	1.7
+++ Makefile.am	29 Nov 2002 10:32:29 -0000
@@ -4,7 +4,7 @@
 ACLOCAL_FLAGS =
 ACLOCAL_AMFLAGS = ${ACLOCAL_FLAGS}
 
-SUBDIRS= gtkgl examples docs build
+SUBDIRS= gtkgl examples docs # build
 
 pkgconfigdir = $(libdir)/pkgconfig
 pkgconfig_DATA = gtkgl-2.0.pc
Index: autogen.sh
===================================================================
RCS file: /cvs/gnome/gtkglarea/autogen.sh,v
retrieving revision 1.1
diff -u -p -r1.1 autogen.sh
--- autogen.sh	2 Feb 1999 12:51:32 -0000	1.1
+++ autogen.sh	29 Nov 2002 10:32:29 -0000
@@ -21,10 +21,10 @@ DIE=0
 	DIE=1
 }
 
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
+(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
 	echo
 	echo "You must have libtool installed to compile $PROJECT."
-	echo "Get ftp://alpha.gnu.org/gnu/libtool-1.2d.tar.gz";
+	echo "Get ftp://ftp.gnu.org/gnu/libtool/libtool-1.4.tar.gz";
 	echo "(or a newer version if it is available)"
 	DIE=1
 }
@@ -60,6 +60,7 @@ aclocal $ACLOCAL_FLAGS
 # optionally feature autoheader
 #(autoheader --version)  < /dev/null > /dev/null 2>&1 && autoheader
 
+libtoolize --copy --force
 automake -a $am_opt
 autoconf
 cd $ORIGDIR
Index: configure.in
===================================================================
RCS file: /cvs/gnome/gtkglarea/configure.in,v
retrieving revision 1.13
diff -u -p -r1.13 configure.in
--- configure.in	14 Mar 2002 23:38:43 -0000	1.13
+++ configure.in	29 Nov 2002 10:32:29 -0000
@@ -154,6 +154,9 @@ AC_C_CONST
 
 dnl Checks for library functions.
 
+dnl  build/Makefile
+dnl  build/win32/Makefile
+dnl  build/win32/dirent/Makefile
 AC_OUTPUT(
   Makefile
   gtkgl-2.0.pc
@@ -163,7 +166,4 @@ AC_OUTPUT(
   docs/Makefile
   examples/Makefile
   examples/makefile.mingw
-  build/Makefile
-  build/win32/Makefile
-  build/win32/dirent/Makefile
 )


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]